| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetricsServerInterface.NetricsThesStats Class Reference

## Public Member Functions
override String | ToString ()
| Convert to string representation.
String | ThesaurusName ()
| Return the name of the thesaurus.
String | ThesaurusType ()
| Return the type of the thesaurus.
int | NumberOfTokens ()
| Return the number of tokens in the thesaurus.
Public Member Functions inherited from NetricsServerInterface.BaseObjectStats
int | getTranState ()
| Get the transaction state for this object.
bool | isDirty ()
| Check if this item has been modified under an open transaction.
bool | isUpdated ()
| Check if this item is updated under an open transaction.
bool | isHeld ()
| Check if this item is held by an open transaction.
int | getTranId ()
| Obsolete. Use getTransactionId to obtain the full 64-bit id.
long | getTransactionId ()
| Get the full ID of the transaction that owns or claims this item.
String | getLayout ()
| Obsolete. Always returns blank. Layouts are deprecated since version 5.6, and removed in 5.7.
String | getCheckpointStatus ()
| Get the checkpoint status of this item.

## Detailed Description

summary> This class contains information about a thesaurus on the ibi™ Patterns - Search server.

Objects of this class contain status information on a thesaurus in the server. These objects are created and returned by the NetricsServerInterface th_stats method. Normally there is no need to explicitly create a NetricsThesStats object.

See also
  NetricsServerInterface.thes_stats

## Member Function Documentation

## ◆ NumberOfTokens()

int NetricsServerInterface.NetricsThesStats.NumberOfTokens | ( |  | ) |
| inline

Return the number of tokens in the thesaurus.

This is not the number of equivalence classes or the number of entries in all equivalence classes. It is a count of the total number of separate tokens. It is usefull mostly for distinguishing one version of a thesaurus from another.

## ◆ ThesaurusType()

String NetricsServerInterface.NetricsThesStats.ThesaurusType | ( |  | ) |
| inline

Return the type of the thesaurus.

This is one of:

"substitution" standard thesaurus.

"weighted term" a weighted dictionary.

"combined" a combined thesaurus.

"<unknown> unknown thesaurus type. This is an error.

See also
  NetricsThesaurus, NetricsWeightedDictionary, NetricsCombinedThesaurus